Part Zylinder

From FreeCAD Documentation
Revision as of 10:59, 20 April 2022 by FBXL5 (talk | contribs) (Created page with "Ein Part-Zylinder-Objekt, das mit dem Skriptbeispiel weiter unten erzeugt wurde wird hier dargestellt.")

Part Zylinder

Menüeintrag
Formteil → Grundkörper → Zylinder
Arbeitsbereich
Part
Standardtastenkürzel
Keiner
Eingeführt in Version
-
Siehe auch
Part Grundelemente

Beschreibung

Der Befehl Part Zylinder erstellt einen parametrischen Volumenkörper, einen Zylinder. Er ist das Ergebnis der Extrusion eines Kreises entlang eines geraden Pfades. Im Koordinatensystem durch seine Daten-EigenschaftPlacement festgelegt, liegt die Unterseite des Zylinders auf der XY-Ebene und ihre Mitte im Ursprung.

Ein Part-Zylinder kann in ein Zylindersegment gewandelt werden durch ändern seiner Daten-EigenschaftWinkel.

Anwendung

  1. Öffne den Part Arbeitsbereich.
  2. Rufe den Befehl Part Zylinder auf verschiedene Weise auf:

Beispiel

Part-Zylinder aus dem Skriptbeispiel

Ein Part-Zylinder-Objekt, das mit dem Skriptbeispiel weiter unten erzeugt wurde wird hier dargestellt.

Hinweise

  • A Part Cylinder can also be created with the Part Primitives command. With that command you can specify the dimensions and placement at creation time.

Eigenschaften

Siehe auch: Eigenschafteneditor.

Ein Part-Zylinder-Objekt wird von einem Part-Formelement abgeleitet und erbt alle seine Eigenschaften. Außerdem hat es die folgenden zusätzlichen Eigenschaften:

Daten

Attachment

The object has the same attachment properties as a Part Part2DObject.

Cylinder

  • DatenRadius (Length): The radius of the circular arc that defines the cylinder. The default is 2mm.
  • DatenHeight (Length): The height of the cylinder. The default is 10mm.
  • DatenAngle (Angle): The angle of the circular arc that defines the cylinder. Valid range: 0° < value <= 360°. The default is 360°. If it is smaller than 360° the resulting solid will be a segment of a cylinder.

Prism

  • DatenFirst Angle (Angle): The angle between the extrusion direction of the cylinder and its positive Z axis, measured around its Y axis. The angle is positive towards its positive X axis. Valid range: 0° <= value < 90°. The default is . introduced in version 0.20
  • DatenSecond Angle (Angle): The angle between the extrusion direction of the cylinder and its positive Z axis, measured around its X axis. The angle is positive towards its positive Y axis. Valid range: 0° <= value < 90°. The default is . introduced in version 0.20

Skripten

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part Cylinder can be created with the addObject() method of the document:

cylinder = FreeCAD.ActiveDocument.addObject("Part::Cylinder", "myCylinder")
  • Where "myCylinder" is the name for the object.
  • The function returns the newly created object.

Beispiel:

import FreeCAD as App

doc = App.activeDocument()

cylinder = doc.addObject("Part::Cylinder", "myCylinder")
cylinder.Radius = 10
cylinder.Height = 50
cylinder.Placement = App.Placement(App.Vector(5, 10, 15), App.Rotation(75, 60, 30))

doc.recompute()